//Patriche Robert Cosmin 3Ain
/*Dato un vettore di 15 numeri interi, caricare i propri voti di informatica (n voti, con n preso da tastiera e minore o uguale di 15). 
Successivamente calcolare e visualizzare la media dei voti.*/

#include <iostream>
using namespace std;

// Funzione per caricare i voti
void caricaVoti(int voti[], int n) {
    cout << "Inserisci " << n << " voti di informatica:" << endl;
    for (int i = 0; i < n; ++i) {
        cout << "Voto " << i + 1 << ": ";
        cin >> voti[i];
    }
}

// Funzione per calcolare la media dei voti
double calcolaMedia(int voti[], int n) {
    int somma = 0;
    for (int i = 0; i < n; ++i) {
        somma += voti[i];
    }
    return somma / n;
}

int main() {
    const int MAX_VOTI = 15;
    int voti[MAX_VOTI];
    int n;

    // Input del numero di voti
    cout << "Quanti voti vuoi inserire? (max 15): ";
    cin >> n;

    // Controllo del limite massimo
    if (n <= 0 || n > MAX_VOTI) {
        cout << "Numero di voti non valido. Deve essere tra 1 e 15." << endl;
        return 1; // Termina il programma con errore
    }

    // Caricamento dei voti
    caricaVoti(voti, n);

    // Calcolo e visualizzazione della media
    double media = calcolaMedia(voti, n);
    cout << "La media dei voti inseriti e': " << media << endl;

    return 0;
}
